@charset "utf-8";
/* 
	Author:		Eric Zimmer
	Date:		09/27/2023
	Purpose: 	This is the main stylesheet for my personal professional website.
	Filename:	styles.css
*/

/* HTML and Body */

html {
    background-image: url("../images/background-reduced-quality.jpeg");
}

body {
    background-color: rgba(13, 171, 118, 0.7);
    color: black;
    box-shadow: 2px 2px 8px rgba(0, 0, 0, .5);
}

/* Home Page */

.toggle-about-me {
   color: #053B06;
}

.toggle-about-me:hover, .toggle-about-me:active {
    color: #0B5D1E;
}

.about-me-home-text {
    background-color: transparent;
    box-shadow: none;
}

/* About Me Page */

article {
    padding: 0 5px;
}

.about-me-pics-scroll:hover, .about-me-pics-scroll:active {
    text-decoration: underline;
    color: #053B06;
    background-color: rgba(19, 154, 67, 0.3);
    cursor: pointer;
}

.about-me-pics img {
    box-shadow: 2px 2px 8px rgba(0, 0, 0, .5);
}

/* Light/Dark Mode Toggle */

#mode-toggle {
    box-shadow: 4px 4px 4px rgba(0, 0, 0, 0.8);
}

/* Slideshow */

.prev, .next {
    color: black;
}

#projects-heading {
    color: black;
}

.project-thumbnail {
    box-shadow: 2px 2px 8px rgba(0, 0, 0, .5);
}

/* Nav Bar */

.nav-bar-list {
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8);
}

.nav-bar-list-item a {
    background-color: transparent;
    color: black;
}

.nav-bar-list-item a:hover, .nav-bar-list-item a:active, #current {
    color: #0B5D1E;
}

/* Resume */

.resume-thumbnail {
    box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.8);
}

#resume-download {
    color: #053B06;
}

/* Footer */

footer a {
    background-color: rgba(13, 171, 118, 0.7);
    color: black;
    font-weight: normal;
}

footer a:hover, footer a:active {
    color: #0B5D1E;
    background-color: rgba(13, 171, 118, 0.7);
}